Class: Aws::RAM::Types::CreateResourceShareResponse
- Inherits:
-
Struct
- Object
- Struct
- Aws::RAM::Types::CreateResourceShareResponse
- Defined in:
- gems/aws-sdk-ram/lib/aws-sdk-ram/types.rb
Overview
Constant Summary collapse
- SENSITIVE =
[]
Instance Attribute Summary collapse
-
#client_token ⇒ String
The idempotency identifier associated with this request.
-
#resource_share ⇒ Types::ResourceShare
An object with information about the new resource share.
Instance Attribute Details
#client_token ⇒ String
The idempotency identifier associated with this request. If you want
to repeat the same operation in an idempotent manner then you must
include this value in the clientToken request parameter of that
later call. All other parameters must also have the same values that
you used in the first call.
783 784 785 786 787 788 |
# File 'gems/aws-sdk-ram/lib/aws-sdk-ram/types.rb', line 783 class CreateResourceShareResponse < Struct.new( :resource_share, :client_token) SENSITIVE = [] include Aws::Structure end |
#resource_share ⇒ Types::ResourceShare
An object with information about the new resource share.
783 784 785 786 787 788 |
# File 'gems/aws-sdk-ram/lib/aws-sdk-ram/types.rb', line 783 class CreateResourceShareResponse < Struct.new( :resource_share, :client_token) SENSITIVE = [] include Aws::Structure end |